## vym 1.7.0+cvs1.7.4

=== Makefile ===
#############################################################################
# Makefile for building: vym
# Generated by qmake (1.07a) (Qt 3.3.5) on: Thu Oct 20 19:44:23 2005
# Project:  vym.pro
# Template: app
# Command: $(QMAKE) -o Makefile vym.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = aboutdialog.h \
		api.h \
		branchobj.h \
		exports.h \
		findwindow.h \
		flagobj.h \
		flagrowobj.h \
		floatimageobj.h \
		floatobj.h \
		frameobj.h \
		headingobj.h \
		imageobj.h \
		linkablemapobj.h \
		xlinkobj.h \
		mainwindow.h \
		mapcenterobj.h \
		mapeditor.h \
		mapobj.h \
		misc.h \
		noteobj.h \
		ornamentedobj.h \
		process.h \
		selection.h \
		texteditor.h \
		version.h \
		xml.h \
		settings.h \
		options.h
SOURCES = aboutdialog.cpp \
		api.cpp \
		branchobj.cpp \
		exports.cpp \
		findwindow.cpp \
		flagobj.cpp \
		flagrowobj.cpp \
		floatimageobj.cpp \
		floatobj.cpp \
		frameobj.cpp \
		headingobj.cpp \
		imageobj.cpp \
		linkablemapobj.cpp \
		xlinkobj.cpp \
		main.cpp \
		mainwindow.cpp \
		mapcenterobj.cpp \
		mapeditor.cpp \
		mapobj.cpp \
		misc.cpp \
		noteobj.cpp \
		ornamentedobj.cpp \
		process.cpp \
		selection.cpp \
		texteditor.cpp \
		xml.cpp \
		settings.cpp \
		options.cpp
OBJECTS = aboutdialog.o \
		api.o \
		branchobj.o \
		exports.o \
		findwindow.o \
		flagobj.o \
		flagrowobj.o \
		floatimageobj.o \
		floatobj.o \
		frameobj.o \
		headingobj.o \
		imageobj.o \
		linkablemapobj.o \
		xlinkobj.o \
		main.o \
		mainwindow.o \
		mapcenterobj.o \
		mapeditor.o \
		mapobj.o \
		misc.o \
		noteobj.o \
		ornamentedobj.o \
		process.o \
		selection.o \
		texteditor.o \
		xml.o \
		settings.o \
		options.o \
		exporthtmldialog.o \
		exportxhtmldialog.o \
		showtextdialog.o \
		extrainfodialog.o \
		editxlinkdialog.o
FORMS = exporthtmldialog.ui \
		exportxhtmldialog.ui \
		showtextdialog.ui \
		extrainfodialog.ui \
		editxlinkdialog.ui
UICDECLS = exporthtmldialog.h \
		exportxhtmldialog.h \
		showtextdialog.h \
		extrainfodialog.h \
		editxlinkdialog.h
UICIMPLS = exporthtmldialog.cpp \
		exportxhtmldialog.cpp \
		showtextdialog.cpp \
		extrainfodialog.cpp \
		editxlinkdialog.cpp
SRCMOC   = moc_aboutdialog.cpp \
		moc_findwindow.cpp \
		moc_linkablemapobj.cpp \
		moc_mainwindow.cpp \
		moc_mapeditor.cpp \
		moc_process.cpp \
		moc_texteditor.cpp \
		moc_exporthtmldialog.cpp \
		moc_exportxhtmldialog.cpp \
		moc_showtextdialog.cpp \
		moc_extrainfodialog.cpp \
		moc_editxlinkdialog.cpp
OBJMOC = moc_aboutdialog.o \
		moc_findwindow.o \
		moc_linkablemapobj.o \
		moc_mainwindow.o \
		moc_mapeditor.o \
		moc_process.o \
		moc_texteditor.o \
		moc_exporthtmldialog.o \
		moc_exportxhtmldialog.o \
		moc_showtextdialog.o \
		moc_extrainfodialog.o \
		moc_editxlinkdialog.o
DIST	   = vym.pro
QMAKE_TARGET = vym
DESTDIR  = debian/vym
INSTALL_ROOT= $(DESTDIR)
TARGET   = vym

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: vym.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile vym.pro
qmake: 
	@$(QMAKE) -o Makefile vym.pro

dist: 
	@mkdir -p .tmp/vym && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/vym/ && $(COPY_FILE) --parents lang/vym_de.ts lang/vym_en.ts lang/vym_es.ts .tmp/vym/ && $(COPY_FILE) --parents exporthtmldialog.ui.h exportxhtmldialog.ui.h showtextdialog.ui.h extrainfodialog.ui.h editxlinkdialog.ui.h .tmp/vym/ && ( cd `dirname .tmp/vym` && $(TAR) vym.tar vym && $(GZIP) vym.tar ) && $(MOVE) `dirname .tmp/vym`/vym.tar.gz . && $(DEL_FILE) -r .tmp/vym

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		version.h \
		settings.h \
		mainwindow.h \
		misc.h \
		xml.h \
		texteditor.h \
		mapeditor.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h

api.o: api.cpp api.h

branchobj.o: branchobj.cpp branchobj.h \
		texteditor.h \
		mapeditor.h \
		mainwindow.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		xlinkobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		mapcenterobj.h \
		version.h \
		xml.h \
		findwindow.h

exports.o: exports.cpp exports.h \
		linkablemapobj.h \
		texteditor.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

findwindow.o: findwindow.cpp findwindow.h

flagobj.o: flagobj.cpp flagobj.h \
		mapobj.h \
		imageobj.h \
		misc.h

flagrowobj.o: flagrowobj.cpp flagrowobj.h \
		mapobj.h \
		flagobj.h \
		misc.h \
		imageobj.h

floatimageobj.o: floatimageobj.cpp floatimageobj.h \
		branchobj.h \
		floatobj.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		ornamentedobj.h \
		xlinkobj.h

floatobj.o: floatobj.cpp floatobj.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

frameobj.o: frameobj.cpp frameobj.h \
		mapobj.h \
		misc.h

headingobj.o: headingobj.cpp headingobj.h \
		mapobj.h \
		misc.h

imageobj.o: imageobj.cpp imageobj.h \
		mapobj.h \
		misc.h

linkablemapobj.o: linkablemapobj.cpp linkablemapobj.h \
		branchobj.h \
		mapeditor.h \
		version.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		xlinkobj.h \
		floatobj.h \
		mapcenterobj.h

xlinkobj.o: xlinkobj.cpp xlinkobj.h \
		branchobj.h \
		mapeditor.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		mapcenterobj.h \
		version.h

main.o: main.cpp settings.h \
		options.h \
		mainwindow.h \
		icons/vym-48x48.xpm \
		icons/vym-editor.xpm \
		flagrowobj.h \
		misc.h \
		xml.h \
		texteditor.h \
		mapeditor.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h

mainwindow.o: mainwindow.cpp mainwindow.h \
		version.h \
		aboutdialog.h \
		icons/filenew.xpm \
		icons/fileopen.xpm \
		icons/filesave.xpm \
		icons/fileprint.xpm \
		icons/editundo.xpm \
		icons/editcopy.xpm \
		icons/editcut.xpm \
		icons/editpaste.xpm \
		icons/editmoveup.xpm \
		icons/editmovedown.xpm \
		icons/formatcoloritem.xpm \
		icons/formatcolorbranch.xpm \
		icons/formatcolorpicker.xpm \
		icons/viewzoomreset.xpm \
		icons/viewzoomin.xpm \
		icons/viewzoomout.xpm \
		icons/modecolor.xpm \
		icons/modelink.xpm \
		icons/modecopy.xpm \
		icons/flag-note.xpm \
		icons/flag-url.xpm \
		icons/flag-vymlink.xpm \
		icons/flag-scrolled-right.xpm \
		flagrowobj.h \
		texteditor.h \
		mapeditor.h \
		exporthtmldialog.h \
		exportxhtmldialog.h \
		showtextdialog.h \
		process.h \
		settings.h \
		options.h \
		xml.h \
		findwindow.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

mapcenterobj.o: mapcenterobj.cpp mapcenterobj.h \
		floatimageobj.h \
		mapeditor.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		linkablemapobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

mapeditor.o: mapeditor.cpp mapeditor.h \
		version.h \
		api.h \
		xml.h \
		texteditor.h \
		linkablemapobj.h \
		exports.h \
		misc.h \
		mainwindow.h \
		extrainfodialog.h \
		editxlinkdialog.h \
		settings.h \
		icons/flag-note.xpm \
		icons/flag-url.xpm \
		icons/flag-vymlink.xpm \
		icons/flag-scrolled-right.xpm \
		icons/flag-tmpUnscrolled-right.xpm \
		icons/flag-questionmark.xpm \
		icons/flag-exclamationmark.xpm \
		icons/flag-hook-green.xpm \
		icons/flag-cross-red.xpm \
		icons/flag-stopsign.xpm \
		icons/flag-smiley-good.xpm \
		icons/flag-smiley-sad.xpm \
		icons/flag-clock.xpm \
		icons/flag-lamp.xpm \
		icons/flag-arrow-up.xpm \
		icons/flag-arrow-down.xpm \
		icons/flag-thumb-up.xpm \
		icons/flag-thumb-down.xpm \
		icons/flag-heart.xpm \
		icons/flag-flash.xpm \
		icons/flag-lifebelt.xpm \
		icons/cursorhandopen16.xpm \
		icons/cursorcolorpicker16.xpm \
		icons/cursorhandopen.xpm \
		icons/cursorcolorpicker.xpm \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		floatimageobj.h \
		ornamentedobj.h \
		floatobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		flagobj.h \
		imageobj.h \
		findwindow.h

mapobj.o: mapobj.cpp mapobj.h \
		misc.h

misc.o: misc.cpp misc.h

noteobj.o: noteobj.cpp noteobj.h \
		misc.h

ornamentedobj.o: ornamentedobj.cpp ornamentedobj.h \
		texteditor.h \
		mapeditor.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h \
		mapcenterobj.h \
		branchobj.h \
		xlinkobj.h \
		version.h \
		floatimageobj.h \
		floatobj.h

process.o: process.cpp process.h

selection.o: selection.cpp selection.h \
		linkablemapobj.h \
		frameobj.h \
		noteobj.h \
		headingobj.h \
		flagrowobj.h \
		mapobj.h \
		misc.h \
		flagobj.h \
		imageobj.h

texteditor.o: texteditor.cpp texteditor.h \
		icons/fileopen.xpm \
		icons/filesave.xpm \
		icons/fileprint.xpm \
		icons/editundo.xpm \
		icons/editredo.xpm \
		icons/editcopy.xpm \
		icons/editcut.xpm \
		icons/editpaste.xpm \
		icons/edittrash.xpm \
		icons/formatfixedfont.xpm \
		icons/formattextbold.xpm \
		icons/formattextitalic.xpm \
		icons/formattextunder.xpm \
		icons/formattextleft.xpm \
		icons/formattextcenter.xpm \
		icons/formattextright.xpm \
		icons/formattextjustify.xpm \
