## vym 1.12.7

=== debian/changelog ===
vym (1.12.7-2) unstable; urgency=low

  * New Maintainer (thanks Xavier for your work)
  * Bump Standards-Version to 3.9.2

 -- Pierre Chifflier <pollux@debian.org>  Mon, 25 Jul 2011 20:03:56 +0200

vym (1.12.7-1) unstable; urgency=low

  * New upstream release
  * Move vym menu placement from education to office (Closes: #573028)
  * Romove iconpath.patch, no more needed
  * Refresh patches gcc-ftbfs-fix.patch, pro-file.patch

 -- Xavier Oswald <xoswald@debian.org>  Mon, 22 Mar 2010 17:41:32 +0100

vym (1.12.6-1) unstable; urgency=low

  * New upstream release
  * Fix cannot undo accidental removal of the root node (Closes: #529528)
  * Bump Standards-Version to 3.8.4
  * Update debian/copyright
  * Refresh patches gcc-ftbfs-fix.patch, iconpath.patch, pro-file.patch
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Fri, 19 Feb 2010 21:21:36 +0100

vym (1.12.2-2) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1
    + Remove DM flag
    + Update debhelper to 7
    + Update my mail address
  * Update debian/compat to 7
  * Update debian/copyright
  * Add debian/watch
  * Fix lintian warnings:
    I: vym source: quilt-patch-missing-description pro-file.patch
    I: vym source: quilt-patch-missing-description iconpath.patch
    I: vym source: quilt-patch-missing-description gcc-ftbfs-fix.patch
    I: vym source: debian-watch-file-is-missing
    W: vym: desktop-mimetype-without-update-call
    /usr/share/applications/vym.desktop
    W: vym: copyright-refers-to-versionless-license-file
    usr/share/common-licenses/GPL

 -- Xavier Oswald <xoswald@debian.org>  Thu, 23 Apr 2009 23:01:18 +0200

vym (1.12.2-1) unstable; urgency=low

  * New upstream release
  * Fix Icon and .desktop file installation thanks to Nathan Handler
    <nhandler@ubuntu.com> patch (Closes: #504932)
  * Fix import/export KDE bookmarks (Closes: #499894)
  * Fix imposed language despite using language locale (Closes: #505312)

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 23 Dec 2008 18:55:52 +0100

vym (1.12.1-1) unstable; urgency=low

  * New upstream release
  * Remove gcc-4.3-ftbfs-fix.patch, fixed upstream
  * Remove xdg-open.patch, fixed upstream
  * Update debian/rules
  * Fix segmentation fault when pressing Home or End key (Closes: #469913)
  * Fix overlapping nodes when opening a saved file (Closes: #474026)

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 09 Sep 2008 10:10:59 +0200

vym (1.10.0-2) unstable; urgency=high

  * Add DM-Upload-Allowed flag
  * Add Homepage field in the control file
  * Add quit as Build-Depends
  * Update Debian policy to 3.8.0
  * Update copyright
  * Update .desktop file
  * Install icon in the default icon directory (Closes: #449115)
  * Remove /usr/share/doc/packages/vym empty directory (Closes: #470119)
  * Remove other empty directories
  * Add symlink from /usr/share/doc/vym/vym.pdf to /usr/share/vym/doc/vym.pdf
    (Closes: #479146)
  * Add README.Debian to inform users about local cups configuration that
    blocks invoking vym (Closes: 481083)
  * Add xdg-open, patch by Till Maas <opensource@till.name> (Closes: #473667)
  * Move all patches to quilt

 -- Xavier Oswald <x.oswald@free.fr>  Mon, 16 Jun 2008 13:59:45 +0200

vym (1.10.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Kumar Appaiah <akumar@ee.iitm.ac.in> (Closes:
    #455332)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 05 Apr 2008 18:13:58 +0200

vym (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Change maintainer 
  * Include French translation for .desktop file
  * Redo feature included (Closes:#400348)
  * Fix undo branch creation (Closes: #400411)
  * Fix wmii vym flickering (Closes: #442816)

 -- Xavier Oswald <x.oswald@free.fr>  Mon, 29 Oct 2007 10:24:40 +0100

vym (1.8.1-5) unstable; urgency=low

  * Make sure that the desktop icon also shows up in !kde
    desktops (Closes: #427699) 
  * Include German translation for .desktop file  
    
    Thanks to Bruno Kleinert

 -- Steffen Joeris <white@debian.org>  Mon, 18 Jun 2007 14:56:01 +0200

vym (1.8.1-4) unstable; urgency=low

  * Extend gcc-ftbfs-fix.patch to cover another missing include
    (Closes: #421133) Thanks to Martin Michlmayr

 -- Steffen Joeris <white@debian.org>  Wed, 16 May 2007 17:12:21 +1000

vym (1.8.1-3) unstable; urgency=low

  * Include gcc-ftbfs-fix.patch to make sure vym compiles with the
    newer gcc version (Closes: #417744) Thanks to Martin Michlmayr
  * Remove two shell scripts from the /usr/share/vym/scripts dir as
    they are unusable right now

 -- Steffen Joeris <white@debian.org>  Sun, 08 Apr 2007 22:02:07 +1000

vym (1.8.1-2) unstable; urgency=low

  * Change the docpath.patch to make a proper additional check so that
    the current patch can go to upstream
  * Split the vym.pro correction and move it from old docpath.patch to
    pro-file.patch
  * Include iconpath.patch to fix the icon for the main GUI
    (Closes: #405381)
  * Change long description to fix linda warning
  * Remove Alexander Wirt as co-maintainer
  * Change my maintainer address

 -- Steffen Joeris <white@debian.org>  Thu,  4 Jan 2007 19:27:14 +0100

vym (1.8.1-1) unstable; urgency=low

  * New upstream release
  * Bump standard version
  * Remove obsolete build-depends against dpatch
  * Convert to cdbs and add needed build-depends against it
  * Change to debhelper level 5
  * Take old .desktop files for the newer release

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Sun,  6 Aug 2006 03:12:57 +1000

vym (1.7.0+cvs1.7.4-4) unstable; urgency=low

  * make the .diff.gz more sane by deleting Makefile
  * correct path to documentation by adding 20-docpath.dpatch
    (Closes: #358753)

 -- Steffen Joeris <steffen.joeris@skolelinux.de>  Fri, 24 Mar 2006 12:50:43 +0100

vym (1.7.0+cvs1.7.4-3) unstable; urgency=low

  * Rebuild to fix broken dependency (Closes: #337907)
  * Two bugs are closed in last experimental version and

