## vym 1.99.0

=== debian/changelog ===
vym (1.99.0-1) unstable; urgency=low

  * Imported Upstream version 1.99.0
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 Oct 2011 13:15:40 +0200

vym (1.13.39-1) unstable; urgency=low

  * Imported Upstream version 1.13.39

 -- Pierre Chifflier <pollux@debian.org>  Mon, 12 Sep 2011 22:20:17 +0200

vym (1.13.36-1) unstable; urgency=low

  * Imported Upstream version 1.13.36

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Aug 2011 21:10:01 +0200

vym (1.13.27-1) unstable; urgency=low

  * Imported Upstream version 1.13.27
  * Refreshed quilt patches
  * Last upload should have Closes: #632996 (New maintainer)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Jul 2011 08:06:23 +0200
