## vym 2.0.3

=== debian/changelog ===
vym (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Dec 2011 18:26:13 +0100
