=== debian/control ===
Source: vym
Section: kde
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
Standards-Version: 3.9.2
Homepage: http://www.insilmaril.de/vym/

Package: vym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
Description: mindmapping tool
 Vym is a mind mapping program. It is useful to organize thoughts and
 do structure work. In addition to that it has a lot of helpful
 shortcuts.
 .
 A mindmap is a multicolored and image centered radial diagram that
 represents semantic or other connections between portions of learned
 material.  For example, it can graphically illustrate the structure
 of a thesis outline, a project plan, or the government institutions
 in a state.  Mindmaps have many applications in personal, family,
 educational, and business situations.  Possibilities include
 note-taking, brainstorming, summarizing, revising and general
 clarifying of thoughts.
