=== debian/changelog ===
vym (2.2.0-1) unstable; urgency=low

  * Imported Upstream version 2.2.0
  * Refreshed quilt patches
  * Suggest ruby, some (optional) scripts are using it
  * Really enable hardening flags
  * Add new patch gcc-format-security-fix to fix build with hardening flags
  * Enable parallel build

 -- Pierre Chifflier <pollux@debian.org>  Sat, 16 Jun 2012 14:59:05 +0200

vym (2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10
    This also fixes a FTBFS with g++-4.7 (Closes: #667413)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Apr 2012 21:54:01 +0200

vym (2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6
  * Bump Standards Version to 3.9.3
  * Switch DH version to 9
  * Update clean rule

 -- Pierre Chifflier <pollux@debian.org>  Sat, 25 Feb 2012 15:21:05 +0100
