=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
+Standards-Version: 3.9.3
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zip, unzip, xsltproc
+Suggests: ruby | ruby-interpreter
 Description: mindmapping tool
  Vym is a mind mapping program. It is useful to organize thoughts and
  do structure work. In addition to that it has a lot of helpful
