## vym 2.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,34 @@
 		set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:wchar_t-" )
 	endif( MSVC )
 endif( WIN32 )
+
+find_package( cppcheck )
+if(CPPCHECK_FOUND)
+	set(_cppcheck_args)
+	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${CMAKE_SOURCE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTCORE_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTDBUS_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTGUI_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTNETWORK_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTXML_INCLUDE_DIR})
+# 	list(APPEND _cppcheck_args ${CPPCHECK_INCLUDEPATH_ARG} ${QT_QTSVG_INCLUDE_DIR})
+
+	list(APPEND _cppcheck_args "enable" "all")
+	
+	add_custom_target(
+		cppcheck
+		COMMAND 
+		"${CPPCHECK_EXECUTABLE}"
+		${CPPCHECK_TEMPLATE_ARG}
+		${CPPCHECK_QUIET_ARG}
+		"--force"
+#		"--std=c++11"
+		${_cppcheck_args}
+		${CMAKE_SOURCE_DIR}
+	)
+
+	message(STATUS "cppcheck target added.")
+endif(CPPCHECK_FOUND)
 
 include_directories (
 	${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
