=== debian/changelog ===
vym (2.3.8-1) unstable; urgency=low

  * Imported Upstream version 2.3.8

 -- Pierre Chifflier <pollux@debian.org>  Sat, 08 Dec 2012 18:12:27 +0100

vym (2.3.5-1) unstable; urgency=low

  * Imported Upstream version 2.3.5

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Nov 2012 12:12:32 +0100

vym (2.3.3-1) unstable; urgency=low

  * Imported Upstream version 2.3.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Nov 2012 09:45:39 +0100

vym (2.3.1-1) unstable; urgency=low

  * Imported Upstream version 2.3.0
  * Imported Upstream version 2.3.1

 -- Pierre Chifflier <pollux@debian.org>  Wed, 26 Sep 2012 21:32:27 +0200

vym (2.2.4-1) unstable; urgency=low

  * Imported Upstream version 2.2.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 22 Jul 2012 22:54:20 +0200
