## vym 2.3.18

=== debian/changelog ===
vym (2.3.18-1) unstable; urgency=low

  * Imported Upstream version 2.3.18
  * Bump Standards Version to 3.9.4

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 10:54:02 +0200

vym (2.3.17-1) unstable; urgency=low

  * Imported Upstream version 2.3.17
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Thu, 09 May 2013 22:17:12 +0200

vym (2.3.11-1) unstable; urgency=low

  * Imported Upstream version 2.3.11

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Feb 2013 00:23:50 +0100
