## vym 2.3.20

=== debian/changelog ===
vym (2.3.20-1) unstable; urgency=low

  * Imported Upstream version 2.3.20

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 18:02:45 +0200
