## vym 2.3.22

=== debian/changelog ===
vym (2.3.22-1) unstable; urgency=medium

  * Imported Upstream version 2.3.22
  * Refreshed quilt patches
  * Remove gcc-ftbfs-fix.patch, merged upstream
  * Remove gcc-format-security-fix.patch, merged upstream
  * Bump standards version to 3.9.5

 -- Pierre Chifflier <pollux@debian.org>  Fri, 04 Apr 2014 08:41:31 +0200
