## vym 2.3.24

=== debian/changelog ===
vym (2.3.24-1) unstable; urgency=medium

  * Imported Upstream version 2.3.24

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Aug 2014 15:18:42 +0200
