=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym
