=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,17 @@
 include /usr/share/quilt/quilt.make
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+include /usr/share/dpkg/buildflags.mk
+
 QMAKE=qmake-qt4
 
+DEB_BUILD_PARALLEL = 1
+
 clean::
-	rm -f lang/vym_de.qm
-	rm -f lang/vym_en.qm
-	rm -f lang/vym_es.qm
-	rm -f lang/vym_it.qm
+	rm -f lang/vym_*.qm
 	rm -f vym
 
 common-configure-arch::
