## vym 2.5.0

=== debian/changelog ===
vym (2.5.0-2) unstable; urgency=medium

  * Fix FTBFS with g++-6 (Closes: #811854)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 22 Jan 2016 13:26:35 +0100

vym (2.5.0-1) unstable; urgency=medium

  * Imported Upstream version 2.5.0

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Dec 2015 18:24:34 +0100

vym (2.4.8-1) unstable; urgency=medium

  * Imported Upstream version 2.4.8
  * Switch to Qt 5
  * Add %f to desktop file Exec key
  * Refreshed quilt patch

 -- Pierre Chifflier <pollux@debian.org>  Wed, 23 Sep 2015 20:57:23 +0200
