=== debian/control ===
--- 
+++ 
@@ -2,8 +2,15 @@
 Section: kde
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), cdbs (>= 0.4.41), libqt4-dev, patchutils, quilt
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+    dpkg-dev (>= 1.16.1~),
+    cdbs (>= 0.4.41),
+    qtbase5-dev,
+    qttools5-dev-tools,
+    libqt5svg5-dev,
+    patchutils,
+    quilt
+Standards-Version: 3.9.6
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym
