=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,10 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wall
 include /usr/share/dpkg/buildflags.mk
 
-QMAKE=qmake-qt4
+export QT_SELECT = 5
+
+QMAKE=qmake
+DEB_QMAKE_ARGS = "DATADIR=/usr/share"
 
 DEB_BUILD_PARALLEL = 1
 
@@ -27,7 +30,7 @@
 	install -m 0644 icons/vym.png $(CURDIR)/debian/vym/usr/share/pixmaps/
 	install -D -m 644 debian/x-vym.desktop debian/vym/usr/share/mimelnk/application/x-vym.desktop
 	mv $(CURDIR)/debian/vym/usr/share/vym/demos $(CURDIR)/debian/vym/usr/share/doc/vym
-	mv $(CURDIR)/debian/vym/usr/share/doc/packages/vym/vym.pdf $(CURDIR)/debian/vym/usr/share/doc/vym 
+	mv $(CURDIR)/debian/vym/usr/share/doc/packages/vym/vym.pdf $(CURDIR)/debian/vym/usr/share/doc/vym
 	chmod 644 $(CURDIR)/debian/vym/usr/share/vym/icons/vym.ico
 	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2txt.sh
 	rm -f $(CURDIR)/debian/vym/usr/share/vym/scripts/vym2html.sh
