=== debian/changelog ===
vym (2.6.11-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:33:05 +1100

vym (2.6.11-3build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:29:16 +0000

vym (2.6.11-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:28:33 +0100

vym (2.6.11-3) unstable; urgency=medium

  * Add missing Build-Depends: qt5-qmake:native for using lrelease.
    Fix FTCBFS, thanks to Helmut Grohne for the patch (Closes: #920850)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 30 Jan 2019 13:48:46 +0100

vym (2.6.11-2) unstable; urgency=medium

  * Add missing translation files

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Apr 2018 09:55:34 +0200

vym (2.6.11-1) unstable; urgency=medium

  * New upstream version 2.6.11
  * Remove FTBFS-g++-6.patch, merged upstream
  * Update doc directories
  * Refresh quilt patches
  * Also remove qm files when running debian/rules clean
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake
    Thanks to Helmut Grohne for the patch (Closes: #888036)
  * This also makes nostrip option handling correct (Closes: #438295)
  * Stop installing deprecated mimelnk files (Closes: #875524)
  * Stop showing annoying popup asking for sending data (Closes: #800072)
  * Bump Standards Version to 4.1.4

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Apr 2018 13:50:04 +0200
