=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: vym
 Section: kde
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     dpkg-dev (>= 1.16.1~),
     cdbs (>= 0.4.41),
@@ -9,8 +10,9 @@
     qttools5-dev-tools,
     libqt5svg5-dev,
     patchutils,
+    qt5-qmake:native,
     quilt
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.insilmaril.de/vym/
 
 Package: vym
