## vym 2.9.28

=== debian/changelog ===
vym (2.9.28-1) unstable; urgency=medium

  * New upstream release.
    Upstream commit 8f4e86ca61801ca8a759baa9c6ffb3441b8e8291
  * Add a README.source file to describe the tarball creation.
  * Remove desktop.patch - applied upstream.
  * Refresh cmake-installs.patch.
  * Remove debian/vym.links, mimetype icon link is created
    by cmake.

 -- Sven Hoexter <hoexter@debian.org>  Sat, 11 May 2024 09:57:21 +0200

vym (2.9.27-1) unstable; urgency=medium

  * New upstream release (Closes: #1036774).
    Upstream commit d9d7b12a05dcffe3bf246cbb73e1cf718bd9dcd7
  * Add myself as Uploader.
  * Replace cdbs by debhelper as the Debian build helper.
  * Drop pro-file.patch - building with cmake now.
  * Refresh do-not-phone-home.patch.
  * Ship upstream man 1 vym.
  * Drop debian/menu.
  * Update debian/copyright.
  * Add a mimetype icon for the hicolor default theme.
  * Add Rules-Requires-Root set to no.
  * Add Vcs information to debian/control.
  * Raise Standards-Version to 4.7.0.
  * Delete old desktop file shipped in debian/.
  * Add desktop.patch to pass %F in the Exec setting and add keywords.
  * Add doc-base registration for the user manual.
  * Add cmake-installs.patch to adjust documentation install folder.
    (Closes: #720054)
  * Adjust watch file to query github API and change to version 4.
  * Include release-notes-2.9.md in the package docs.

 -- Sven Hoexter <hoexter@debian.org>  Fri, 10 May 2024 17:36:12 +0200
