=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: vym
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 9),
-    dpkg-dev (>= 1.16.1~),
-    cdbs (>= 0.4.41),
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Uploaders: Sven Hoexter <hoexter@debian.org>
+Build-Depends: debhelper-compat (=13),
+    cmake,
     qtbase5-dev,
-    qttools5-dev-tools,
-    libqt5svg5-dev,
-    patchutils,
-    qt5-qmake:native,
-    quilt
-Standards-Version: 4.1.4
+    qttools5-dev,
+    qtscript5-dev,
+    libdbus-1-dev,
+    libqt5svg5-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://www.insilmaril.de/vym/
+Vcs-Git: https://git.sven.stormbind.net/vym.git
+Vcs-Browser: https://git.sven.stormbind.net/?p=sven/vym.git
 
 Package: vym
 Architecture: any
